%global srcname rosinstall_generator

Name:           python-%{srcname}
Version:        0.1.18
Release:        1%{?dist}
Summary:        Generates rosinstall files

License:        BSD
URL:            http://wiki.ros.org/%{srcname}
Source0:        https://github.com/ros-infrastructure/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks.


%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-catkin_pkg >= 0.1.28
BuildRequires:  python2-devel
BuildRequires:  python2-nose
BuildRequires:  python2-rosdistro >= 0.7.3
BuildRequires:  python2-rospkg
BuildRequires:  python2-setuptools
BuildRequires:  python2-yaml
%{?python_provide:%python_provide python2-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python2-catkin_pkg >= 0.1.28
Requires:       python2-rosdistro >= 0.7.3
Requires:       python2-rospkg
Requires:       python2-setuptools
Requires:       python2-yaml
%endif # __pythondist_requires

%description -n python2-%{srcname}
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-catkin_pkg >= 0.1.28
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-nose
BuildRequires:  python%{python3_pkgversion}-rosdistro >= 0.7.3
BuildRequires:  python%{python3_pkgversion}-rospkg
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-yaml
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-catkin_pkg >= 0.1.28
Requires:       python%{python3_pkgversion}-rosdistro >= 0.7.3
Requires:       python%{python3_pkgversion}-rospkg
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-yaml
%endif # __pythondist_requires

%description -n python%{python3_pkgversion}-%{srcname}
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{python2_version}
%py3_install
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-%{python3_version}
ln -s %{srcname}-%{python3_version} %{buildroot}%{_bindir}/%{srcname}


%check
PYTHONPATH=%{buildroot}%{python2_sitelib} nosetests-%{python2_version} test
PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests-%{python3_version} test


%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info/
%{_bindir}/%{srcname}-%{python2_version}

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/
%{_bindir}/%{srcname}
%{_bindir}/%{srcname}-%{python3_version}


%changelog
* Wed Oct 30 2019 Scott K Logan <logans@cottsay.net> - 0.1.18-1
- Update to 0.1.18 (rhbz#1742963)

* Wed Mar 27 2019 Scott K Logan <logans@cottsay.net> - 0.1.16-1
- Update to 0.1.16

* Fri Mar 15 2019 Scott K Logan <logans@cottsay.net> - 0.1.15-1
- Update to 0.1.15
- Add checks
- Handle automatic dependency generation
- Use version macros

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1.14-2
- Rebuilt for Python 3.7

* Sun Mar 04 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.14-1
- Update to latest upstream release

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 22 2016 Rich Mattes <richmattes@gmail.com> - 0.1.13-2
- Add runtime requirements

* Wed Dec 21 2016 Rich Mattes <richmattes@gmail.com> - 0.1.13-1
- Update to release 0.1.13

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.11-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun Jun 19 2016 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.11-3
- Build python3 package also

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 04 2015 Scott K Logan <logans@cottsay.net> - 0.1.11-1
- Update to release 0.1.11
- Update to latest packaging guidelines

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 30 2014 Rich Mattes <richmattes@gmail.com> - 0.1.10-1
- Update to release 0.1.10
- Update to fedora github guidelines for source url

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Scott K Logan <logans@cottsay.net> 0.1.9-1
- Update to latest upstream release

* Thu Feb 20 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.1.8-1
- Update to latest upstream release
- rhbz 1066906

* Sat Feb 08 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.1.7-1
- Updated as per comments in rhbz 1062843
-  Initial rpm build
